ref: e3f1820f30740e279131fc547d7fab54a80488db
parent: 226e1dba5c5f44b4004ffe9c438c9c24af369a01
author: sbrandon <sbrandon>
date: Thu May 9 10:36:38 EDT 2002
added configuration script which is primed with information about which libraries libst.a was configured with at ./configure time. If libst.a is installed, libst-config is installed into a standard location, and is available to any other configuration script which may need to link to any dynamic libraries that libst.a was linked with (eg vorbis).
--- /dev/null
+++ b/libst-config.in
@@ -1,0 +1,25 @@
+#! /bin/sh
+
+prefix="@prefix@"
+exec_prefix="@exec_prefix@"
+includedir="@includedir@"
+libdir="@libdir@"
+libs='@LIBS@'
+
+case "$1" in
+--prefix)
+ echo $prefix;;
+--includedir)
+ echo $includedir;;
+--libdir)
+ echo $libdir;;
+--libs)
+ echo $libs;;
+--cflags)
+ echo "-L'$libdir' -I'$includedir'";;
+*)
+ echo "Usage: $0 [--prefix|--includedir|--libdir|--cflags|--libs]"
+ exit 1;;
+esac
+
+exit 0